#!/usr/bin/perl -U
# ************************************************
#
#      Web Dialer v1.3 by Dietrich Heise
#        ------ third skript --------
#          dietrich@pegestorf.de
#     http://www.pegestorf.de/webwvdial/
# ************************************************
# Edit this

$config_file = "webdial.conf";

# end of config
# ************************************************

use AppConfig;

my $configure = AppConfig->new(
    {
	GLOBAL=>{ ARGCOUNT => 1 }
    },
    'baseURL','htmlDIR','baseCGI','skript',
    'dev','notallowed','configpass','logpass',
    'adminpass','bgcolor','bordercolor',
    'titlecolor','tablecolor','colorconnect',
    'colordeconnect','passwordcolor',
    'gesamtcolor','varlogbuttons',
    'loglines','allowshutdown','refreshtime',
    'timezone','language','standardlogdays',
    'type','dialcommand','isdnip',
    'deconnectcommand','errorlog',
    'messageslog','webdialpid','webdialpid2',
    'seconds','secondskript','thirdskript',
    'run_dialin','run_dialout'
);

$configure->file($config_file);
    	     
open (out, ">".$configure->webdialpid2());
  print out $$;
close (out);

$con = 0;
$i = 0;
while ($con = 0){
  @pppaddr = `/sbin/ifconfig`;
  foreach $addr (@pppaddr){
    my $dev = $configure->dev();
    if(($addr =~ /$dev/) && ($configure->type() ne 2)){
      $con = 1;
    }
  }
  if ($configure->type() eq 2) {
    $isdn = 1;
    if ($configure->isdnip()){
      foreach $addr (@pppaddr){
        my $isdnip = $configure->isdnip();
        if($addr =~ /$isdnip/){
          $isdn = 0;
        }
      }
    }
    if ($isdn) {$con = 1;}
  }
  sleep 1;
  $i = $i + 1;
  if ($i >= 60) {
    open (LOG, ">>online.log");
      print LOG "\n";
    close LOG;
    exit;
  }
}

open (IN, "<online.log");
  @in = <IN>;
close IN;
$in = $in[-1];
if ((substr $in,-1,1) ne "\n"){
  my $dev = $configure->dev();
  sleep 1;
  @pppip = `/sbin/ifconfig $dev`;
  @colsplit = split(":",$pppip[1]);
  @inetarr = split(" ", $colsplit[1]);
  open (LOG, ">>online.log");
    print LOG "\e".@inetarr[0]."\n";
  close LOG;
}

system ("rm",$configure->webdialpid2());
 

