#!/usr/bin/perl -U
# ************************************************
#
#      Web Dialer v1.2 by Dietrich Heise
#        ------ second skript --------
#          dietrich@pegestorf.de
#     http://www.pegestorf.de/webwvdial/
# ************************************************
# Edit this

$config_file = "webdial.conf";

# end of config
# ************************************************


use AppConfig;

my $configure = AppConfig->new(
    {
        GLOBAL=>{ ARGCOUNT => 1 }
    },
    'baseURL',
    'htmlDIR',
    'baseCGI',
    'skript',
    'dev',
    'notallowed',
    'configpass',
    'logpass',
    'adminpass',
    'bgcolor',
    'bordercolor',
    'titlecolor',
    'tablecolor',
    'colorconnect',
    'colordeconnect',
    'passwordcolor',
    'gesamtcolor',
    'varlogbuttons',
    'loglines',
    'allowshutdown',
    'refreshtime',
    'timezone',
    'language',
    'standardlogdays',
    'type',
    'dialcommand',
    'isdnip',
    'deconnectcommand',
    'errorlog',
    'messageslog',
    'webdialpid',
    'seconds');		

$configure->file($config_file);

$dev       = $configure->dev();
$type= $configure->type();
$seconds= $configure->seconds();
$isdnip= $configure->isdnip();
$webdialpid= $configure->webdialpid();

open (out, ">$webdialpid");
print out $$;
close (out);

while (1) {
  sleep ($seconds);
  &test;
}

sub test{
  @pppaddr = `/sbin/ifconfig`;
  foreach $addr (@pppaddr){
    if(($addr =~ /$dev/) && ($type ne 2)){
      return; # Verbindung noch da
    }
  }
  if ($type eq 2) {
    $isdn = 1;
    if ($isdnip){
      foreach $addr (@pppaddr){
        if($addr =~ /$isdnip/){
	   $isdn = 0;
        }
      }
    }
    if ($isdn){return};
  }
  # Verbindung nicht da!
  open (online, "<online.dat");
    @online = <online>;
  close (online);
  chop @online;
  &wann;
  &bytes;
  open (traffic, "<traffic.log");
    @traffic = <traffic>;
  close (traffic);
  $help = $traffic[-1];
  $help = substr($help,-1,1);
  if ($help eq "\e"){ 
    open (traffic, ">>traffic.log");
      print traffic $receive."\e".$transmit."\e".$time."\echeck\n";
    close (traffic);
  }
  open (LOG, ">>online.log");
  open (ONLINE, ">online.dat");
  foreach $ip (@online){
    @zeile = split(/\e/,$ip);
    print LOG $zeile[0]."\e0\e".$datum."\e".$time."\e".$zeile[1]."\n";
  }
  close (LOG);
  close (ONLINE);
  system("rm", "$webdialpid");
  exit;
}

sub wann{
  $time = time;
  ($sec, $min, $std, $tag, $mon, $jahr) = localtime($time);
  $sec = &zs($sec);
  $min = &zs($min);
  $std = &zs($std);
  $tag = &zs($tag);
  $mon = &zs(++$mon);
  $jahr = $jahr + 1900;
  $datum = $tag.".".$mon.".".$jahr." ".$std.":".$min.":".$sec;
}
sub zs{
  if (length ($_[0]) < 2 ){
    return "0".$_[0];
  }else{
    return $_[0];
  }
}
sub bytes{
  @bytes = `cat /proc/net/dev`;
  foreach $i (@bytes){
    if($i =~ /$dev/){
      my @help1 = split(":",$i);
      my @help2 = split(" ",$help1[1]);
      $receive = $help2[0];
      $transmit= $help2[8];
    }
  }
}
